# Class RoleUnresolved

java.lang.Object
javax.management.relation.RoleUnresolved

All Implemented Interfaces:
  `Serializable`

public class RoleUnresolved extends Object implements Serializable
Represents an unresolved role: a role not retrieved from a relation due to a problem. It provides the role name, value (if problem when trying to set the role) and an integer defining the problem (constants defined in RoleStatus).

The serialVersionUID of this class is `-48350262537070138L`.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RoleUnresolved(String name, List<ObjectName> value, int pbType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
Clone this object.
`int`
`getProblemType()`
Retrieves problem type.
`String`
`getRoleName()`
Retrieves role name.
`List<ObjectName>`
`getRoleValue()`
Retrieves role value.
`void`
`setProblemType(int pbType)`
Sets problem type.
`void`
`setRoleName(String name)`
Sets role name.
`void`
`setRoleValue(List<ObjectName> value)`
Sets role value.
`String`
`toString()`
Return a string describing this object.

### Methods declared in class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### RoleUnresolved

public RoleUnresolved(String name, List<ObjectName> value, int pbType) throws IllegalArgumentException
Constructor.

Parameters:
  `name` - name of the role
  `value` - value of the role (if problem when setting the role)
  `pbType` - type of problem (according to known problem types, listed as static final members).
Throws:
  `IllegalArgumentException` - if null parameter or incorrect problem type

## Method Details

### getRoleName

public String getRoleName()
Retrieves role name.

Returns:
  the role name.
See Also:
  - `setRoleName(String)`

### getRoleValue

public List<ObjectName> getRoleValue()
Retrieves role value.

Returns:
  an ArrayList of ObjectName objects, the one provided to be set in given role. Null if the unresolved role is returned for a read access.
See Also:
  - `setRoleValue(List)`

### getProblemType

public int getProblemType()
Retrieves problem type.

Returns:
  an integer corresponding to a problem, those being described as static final members of current class.
See Also:
  - `setProblemType(int)`

### setRoleName

public void setRoleName(String name) throws IllegalArgumentException
Sets role name.

Parameters:
  `name` - the new role name.
Throws:
  `IllegalArgumentException` - if null parameter
See Also:
  - `getRoleName()`

### setRoleValue

public void setRoleValue(List<ObjectName> value)
Sets role value.

Parameters:
  `value` - List of ObjectName objects for referenced MBeans not set in role.
See Also:
  - `getRoleValue()`

### setProblemType

public void setProblemType(int pbType) throws IllegalArgumentException
Sets problem type.

Parameters:
  `pbType` - integer corresponding to a problem. Must be one of those described as static final members of current class.
Throws:
  `IllegalArgumentException` - if incorrect problem type
See Also:
  - `getProblemType()`

### clone

public Object clone()
Clone this object.

Overrides:
  `clone` in class `Object`
Returns:
  an independent clone.
See Also:
  - `Cloneable`

### toString

public String toString()
Return a string describing this object.

Overrides:
  `toString` in class `Object`
Returns:
  a description of this RoleUnresolved object.